<?php
/**
 * Magento
 * @category   Payment
 * @package    Pdt_mabna
 * @copyright  Copyright (c) 2015 softiran.org
 * @see http://softiran.org
 */
class Pdt_Mabna_Block_Form extends Mage_Payment_Block_Form
{
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('mabna/form.phtml');
    }

    public function getPaymentImageSrc()
    {
    	$locale = strtolower(Mage::app()->getLocale()->getLocaleCode());
    	$imgSrc = $this->getSkinUrl('images/mabna/'.$locale.'_outl.gif');

    	if (!file_exists(Mage::getDesign()->getSkinBaseDir().'/images/mabna/'.$locale.'_outl.gif')) {
    		$imgSrc = $this->getSkinUrl('images/mabna/intl_outl.gif');
    	}
    	return $imgSrc;
    }
}