<?php
/**
 * Magento
 * @category   Payment
 * @package    Pdt_mabna
 * @copyright  Copyright (c) 2015 softiran.org
 * @see http://softiran.org
 */
class Pdt_Mabna_Block_Info extends Mage_Payment_Block_Info
{
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('mabna/info.phtml');
    }

    public function getMethodCode()
    {
        return $this->getInfo()->getMethodInstance()->getCode();
    }

    public function toPdf()
    {
        $this->setTemplate('mabna/pdf/info.phtml');
        return $this->toHtml();
    }
}